org.apache.maven.shared.artifact.filter.collection

## Class ScopeFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter
  - - org.apache.maven.shared.artifact.filter.collection.ScopeFilter

All Implemented Interfaces:
  ArtifactsFilter

    public class ScopeFilter
    extends AbstractArtifactsFilter

Version:
  $Id: ScopeFilter.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  Brian Fox

### Constructor Summary

Constructors
Constructor and Description
`ScopeFilter(String includeScope, String excludeScope)`

### Method Summary

Methods
`Set` `filter(Set artifacts)` This function determines if filtering needs to be performed.
`String` `getExcludeScope()`
`String` `getIncludeScope()`
`void` `setExcludeScope(String excludeScope)`
`void` `setIncludeScope(String scope)`

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter

`isArtifactIncluded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopeFilter

    public ScopeFilter(String includeScope,
               String excludeScope)

### Method Detail

#### filter

    public Set filter(Set artifacts)
               throws ArtifactFilterException

This function determines if filtering needs to be performed. Excludes are ignored if Includes are used.

Parameters:
  `dependencies` - the set of dependencies to filter.
Returns:
  a Set of filtered dependencies.
Throws:
  `ArtifactFilterException`

#### getIncludeScope

    public String getIncludeScope()

Returns:
  Returns the includeScope.

#### setIncludeScope

    public void setIncludeScope(String scope)

Parameters:
  `includeScope` - The includeScope to set.

#### getExcludeScope

    public String getExcludeScope()

Returns:
  Returns the excludeScope.

#### setExcludeScope

    public void setExcludeScope(String excludeScope)

Parameters:
  `excludeScope` - The excludeScope to set.